Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1169532 - Physical Boot DVD media install does not come up as option with petitboot menu
Summary: Physical Boot DVD media install does not come up as option with petitboot menu
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-12-01 23:06 UTC by Snowman
Modified: 2015-12-02 16:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 05:22:42 UTC


Attachments (Terms of Use)

Description Snowman 2014-12-01 23:06:05 UTC
Description of problem:
IBM S822L firmware version 101, Opal/Petitboot does not recognize Grub boot loader from physical DVD Media. 


Version-Release number of selected component (if applicable):
Fedora 21 ppc64le RC1

How reproducible:
Put in DVD iso media and boot to petitboot screen, no option for DVD boot. Must manually create new boot menu item and choose device SR0 and url/path location as ppc/ppc64/vmlinuz and ppc/ppc64/initrd.img as well as kernel option text or vnc as graphical mode install fails with mouse cursor on a black screen. 

Steps to Reproduce:
1. put in DVD boot to petitboot screen

Actual results:
Only boot selection is already installed OSes from HDD or nothing if HDD's are blank


Expected results:
Option to boot Fedora install


Additional info:
Once OS is installed the option to boot it from HDD does show up, but not from DVD install

Comment 1 Jaromír Cápík 2014-12-02 13:28:10 UTC
The same issue with IBM 8246-L2T FW770.20 (AL770_060) and Fedora 21 LE. Going to test RHEL7 LE/BE and F21 BE DVDs so that we know whether it's media specific issue or whether all products are affected.

Comment 2 Dan Horák 2014-12-02 14:50:34 UTC
petitbot needs to include http://git.ozlabs.org/?p=petitboot;a=commit;h=1b272c7d47390077eee0a0638329b1a7df521329 to support FOR loops in grub.conf and Fedora uses this FOR loop.

Kevin, what version of petitboot do you have? It should print something like "Petitboot (32e2eac7)"

Comment 3 Jaromír Cápík 2014-12-02 14:55:14 UTC
The issue is caused by a missing support for the 'FOR' cycle in the petitboot (at least in the version we have installed). I tried to modify the grub.conf on the DVD image and since that the installation entries are correctly listed in the petitboot menu.

Comment 5 Snowman 2014-12-04 17:43:22 UTC
(In reply to Dan Horák from comment #2)
> petitbot needs to include
> http://git.ozlabs.org/?p=petitboot;a=commit;
> h=1b272c7d47390077eee0a0638329b1a7df521329 to support FOR loops in grub.conf
> and Fedora uses this FOR loop.
> 
> Kevin, what version of petitboot do you have? It should print something like
> "Petitboot (32e2eac7)"

It reports Petitboot dev.20141013). Does that seem right.

Comment 6 Al Dunsmuir 2014-12-05 12:21:13 UTC
Once I have Grub2 working on ppc64 Macs, I still plan to do a Fedora Remix for ppc32.   Having a separate grub2.conf for ppc32 is reasonable.

Is there an online spec for Opal/Petitboot, and what verbs that it supports?

Comment 7 Al Dunsmuir 2014-12-05 12:51:52 UTC
Post-F21 GA, I'm working with bcl to get basic grub2 support working for ppc64 Macs.  Will be creating minimally modified GA netboot iso to support install.

In F22 I'm going to be trying to get grub2 to dual boot Mac OS/X on BE.
That will require additional grub verbs2 in the grub2.conf file.  It may be 
best to have separate ppc64/prep, ppc64/mac and ppc32 configuration files 
so that Opal/Petitboot are not impacted.

Comment 8 Snowman 2014-12-10 18:08:16 UTC
New RC6 ISO image works correctly with petitboot, all boot options from dvd media are shown correctly.

Comment 9 Fedora End Of Life 2015-11-04 14:45:10 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-12-02 05:22:51 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.